TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.EMSSSLSystemStoreInfo Class Reference

Specifies the system store information More...

## Public Member Functions
| EMSSSLSystemStoreInfo ()
| creates an object of type system store info More...
void | SetCertificateStoreName (String storeName)
| Set the certificate store name More...
void | SetCertificateStoreLocation (StoreLocation storeLocation)
| Set location of the certificate store More...
void | SetCertificateName (String certName)
| Set the name of the certificate More...
void | SetCertificateNameAsFullSubjectDN (String certName)
| Set the name of the certificate as a full subject DN More...

## Detailed Description

Specifies the system store information

System Store Info object to be used while setting the store type for a connection factory via the ConnectionFactory.SetCertificateStoreType. The store info consists of the store location, store name, the certificate name (to look for in the specified store name at the specified store location).

The default store location is StoreLocation.CurrentUser and the default store name is 'my' store as defined by the .NET framework. The search criteria to find the certificate in the store name at the store location is X509FindType.FindBySubjectDistinguishedName.

## Constructor & Destructor Documentation

TIBCO.EMS.EMSSSLSystemStoreInfo.EMSSSLSystemStoreInfo | ( |  | ) |
| inline

creates an object of type system store info

This object is used mainly to specify system store information when the store type of SYSTEM is used by the ConnectionFactory.SetCertificateStoreType method.

## Member Function Documentation

void TIBCO.EMS.EMSSSLSystemStoreInfo.SetCertificateName | ( | String | certName | ) |
| inline

Set the name of the certificate

This method sets the name of the certificate. The certificate name is the subject distinguished name of the certificate. During the SSL handshake, the server searches for the named certificate in the store specified by SetCertificateStoreName at the location specified by SetCertificateStoreLocation. The search criteria to find the certificate in the store name at the store location is X509FindType.FindBySubjectDistinguishedName. Note: While searching for the certificate in the certificate store, the tag 'CN' is automatically prepended to the certificate name.

Parameters

  certName | Certificate name.

Exceptions

  ArgumentException | If the certificate name is null.

Deprecated:
  Use EMSSSLSystemStoreInfo.SetCertificateNameAsFullSubjectDN instead.

void TIBCO.EMS.EMSSSLSystemStoreInfo.SetCertificateNameAsFullSubjectDN | ( | String | certName | ) |
| inline

Set the name of the certificate as a full subject DN

This method sets the name of the certificate. The certificate name is the subject distinguished name of the certificate. During the SSL handshake, the server searches for the named certificate in the store specified by SetCertificateStoreName at the location specified by SetCertificateStoreLocation. The search criteria to find the certificate in the store name at the store location is X509FindType.FindBySubjectDistinguishedName. A subject DN sample

E=client@testcompany.com, CN=client, OU=client Unit, O=Test Company, L=us-english, S=California, C=US

Parameters

  certName | Certificate name.

Exceptions

  ArgumentException | If the certificate name is null.

void TIBCO.EMS.EMSSSLSystemStoreInfo.SetCertificateStoreLocation | ( | StoreLocation | storeLocation | ) |
| inline

Set location of the certificate store

The certificate store location indicates where to lookup the certificate by name. If no store name is specified, then the default store name is "My" store name within this store location.

Parameters

  storeLocation | Location in which to lookup certificate by name. For example, "CurrentUser" or "LocalMachine."

void TIBCO.EMS.EMSSSLSystemStoreInfo.SetCertificateStoreName | ( | String | storeName | ) |
| inline

Set the certificate store name

This is the name of the store in which certificates are stored. During the SSL handshake, this is where the client library looks for the certificates.

Parameters

  storeName | Name of the certificate store.

Exceptions

  ArgumentException | If the store name is null